% This file runs the iterative algorithm described in [1] on the provided example_graph.txt
%
%
% Written by Dora Erdos, Boston University, 2013
%
% 
% If using this code please cite:
% [1]: Dora Erdos, Rainer Gemulla, Evimaria Terzi "Reconstructing Graphs from Neighborhood Data", 
% IEEE International Conference on Data Mining, 2012, Brussels, Belgium, December 2012.
%


output_dir = 'iterative_output/'

% create input data to the iterative algorithm.
M = load('../example_graph.txt');
M = spconvert(M);
M = sparse(M);
L = M*M';
L = L - L.*eye(n);
R = M'*M;
R = R - R.* eye(m);



[n,~] = size(L);
[m,~] = size(R);

%run reconstruction algorithm   
[Mhat,U,SI,V] = iterative(L,R,min(n,m),0.5,output_dir);

